#include "Sensor.h"

#include "Roboid.h"

Sensor::Sensor() : Thing(0) { // for now, id should be set properly later
  this->type = Thing::SensorType;
}

void Sensor::SetParent(Thing *parent) {
  this->parent = parent;
  if (this->parent->IsRoboid()) {
    Roboid *roboidParent = (Roboid *)this->parent;
    roboidParent->perception->AddSensor(this);
  }
}