#pragma once

#include "Thing.h"

namespace Passer {
namespace RoboidControl {

/// @brief A sensor is a thing which can perform measurements in the environment
class Sensor : public Thing {
public:
  /// @brief Default Constructor for a Sensor
  Sensor();

  /// @brief Sets the parent Thing
  /// @param parent The Thing which should become the parent
  virtual void SetParent(Thing *parent) override;
};

} // namespace RoboidControl
} // namespace Passer
using namespace Passer::RoboidControl;